Get ticker for a specific coin
Returns price data of a single cryptocurrency on coinpaprika.com:
- identity (
id,name,symbol) - ranking (
rank) - supplies (
circulating_supply,total_supply,max_supply) - beta coefficient (
beta_value) - price data in a given currency (price, volumes, market cap, price changes, ath)
Available on the following API plans:
- Free - there is no
circulating supplyfield in the Free plan. If you need this field, use another API plan. - Starter
- Pro
- Business
- Enterprise
Update interval:
- 60 seconds for Starter, Pro, Business, Enterprise plans
- On average 5 minutes for Free
GET
CLI
Path Parameters
Example:
"btc-bitcoin"
Query Parameters
Comma separated list of quotes to return. Up to 3 quotes at once. Currently allowed values: BTC, ETH, USD, EUR, PLN, KRW, GBP, CAD, JPY, RUB, TRY, NZD, AUD, CHF, UAH, HKD, SGD, NGN, PHP, MXN, BRL, THB, CLP, CNY, CZK, DKK, HUF, IDR, ILS, INR, MYR, NOK, PKR, SEK, TWD, ZAR, VND, BOB, COP, PEN, ARS, ISK
Example:
"USD,BTC"
Response
successful operation
Tick response. Missing values are returned as empty string
Example:
"btc-bitcoin"
Example:
"Bitcoin"
Example:
"BTC"
Example:
1
Example:
17007062
Example:
17007062
Example:
21000000
Example:
0.735327
Example:
"2010-11-14T07:20:41Z"
Example:
"2018-11-14T07:20:41Z"
Example:
{
"BTC": {
"price": 1,
"volume_24h": 1414951.9739396,
"volume_24h_change_24h": -4.03,
"market_cap": 17646575,
"market_cap_change_24h": 0.01,
"percent_change_15m": 0,
"percent_change_30m": 0,
"percent_change_1h": 0,
"percent_change_6h": 0,
"percent_change_12h": 0,
"percent_change_24h": 0,
"percent_change_7d": 0,
"percent_change_30d": 0,
"percent_change_1y": 0,
"ath_price": null,
"ath_date": null,
"percent_from_price_ath": null
},
"USD": {
"price": 5162.15941296,
"volume_24h": 7304207651.1585,
"volume_24h_change_24h": -2.5,
"market_cap": 91094433242,
"market_cap_change_24h": 1.6,
"percent_change_15m": 0,
"percent_change_30m": 0,
"percent_change_1h": 0,
"percent_change_6h": 0,
"percent_change_12h": -0.09,
"percent_change_24h": 1.59,
"percent_change_7d": 0.28,
"percent_change_30d": 27.39,
"percent_change_1y": -37.99,
"ath_price": 20089,
"ath_date": "2017-12-17T12:19:00Z",
"percent_from_price_ath": -74.3
}
}Previous
Get historical ticks for a specific coinReturns historical values of `price`, `volume_24h`, `market_cap` for a given cryptocurrency on coinpaprika.com:
**Available history range depending on the selected API plan:**
| Interval | `interval` param values | Free | Starter | Pro | Business | Enterprise |
|---|---|---|---|---|---|---|
| Daily | `24h`, `1d`, `7d`, `14d`, `30d`, `90d`, `365d` | last 1 year | last 5 years | unlimited | unlimited | unlimited |
| Hourly | `1h`, `2h`, `3h`, `6h`, `12h` | last 1 day | last 30 days | last 90 days | last 365 days | unlimited |
| 5-minute | `5m`, `10m`, `15m`, `30m`, `45m` | none | last 7 days | last 30 days | last 365 days | unlimited |
**Update interval:** Every 5 minutes.
Next
CLI